LIRC libraries: lirc.database.Database Class Reference

| LIRC libraries LinuxInfraredRemoteControl

Public Member Functions | Public Attributes | List of all members
lirc.database.Database Class Reference
python configuration database

Reflects the *.yaml files in the configs/ directory. More...

Inheritance diagram for lirc.database.Database:

## Public Member Functions
def | __init__ (self, path=None, yamlpath=None)
def | kernel_drivers (self)
| The kernel-drivers dictionary, drivers.yaml + kernel-drivers.yaml.
def | drivers (self)
| The drivers dictionary, drivers.yaml + kernel-drivers.yaml. More...
def | configs (self)
| Return dict of parsed config/*.conf files, keyd by id. More...
def | remotes_by_driver (self, driver)
| Return the list of remotes suggested for a given driver. More...
def | lircmd_by_driver (self, driver)
| Return list of lircmd.conf file for given driver or None. More...
def | driver_by_remote (self, remote)
| Return the driver (possibly None) suggested for a remote. More...
def | find_config (self, key, value)
| Return item (a config) in configs where config[key] == value. More...

## Public Attributes
| db

## Detailed Description

Reflects the *.yaml files in the configs/ directory.

Definition at line 122 of file database.py.

## Member Function Documentation

## § configs()

def lirc.database.Database.configs | ( |  | self | ) |

Return dict of parsed config/*.conf files, keyd by id.

Definition at line 189 of file database.py.

## § driver_by_remote()

def lirc.database.Database.driver_by_remote | ( |  | self,
|  |  | remote
| ) |  |

Return the driver (possibly None) suggested for a remote.

Definition at line 211 of file database.py.

## § drivers()

def lirc.database.Database.drivers | ( |  | self | ) |

The drivers dictionary, drivers.yaml + kernel-drivers.yaml.

Definition at line 184 of file database.py.

## § find_config()

def lirc.database.Database.find_config | ( |  | self,
|  |  | key,
|  |  | value
| ) |  |

Return item (a config) in configs where config[key] == value.

Definition at line 218 of file database.py.

## § lircmd_by_driver()

def lirc.database.Database.lircmd_by_driver | ( |  | self,
|  |  | driver
| ) |  |

Return list of lircmd.conf file for given driver or None.

Definition at line 202 of file database.py.

## § remotes_by_driver()

def lirc.database.Database.remotes_by_driver | ( |  | self,
|  |  | driver
| ) |  |

Return the list of remotes suggested for a given driver.

Definition at line 193 of file database.py.

The documentation for this class was generated from the following file:

- /home/mk/tmp/lirc/python-pkg/lirc/database.py (ba530e4 2017-01-22 19:05:53 +0100)